System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Description.IEndpointBehavior

Set the property to true from an application configuration file or programmatically to enable the flow of managed exception information in a client callback object back to the service for debugging purposes.

Returning managed exception information to services can be a security risk because exception details expose information about the internal client implementation that could be used by unauthorized services. In addition, although the properties can also be set programmatically, it can be easy to forget to disable when deploying.

Because of the security issues involved, it is strongly recommended that:

You use an application configuration file to set the value of the property to true.

You only do so only in controlled debugging scenarios.

crabout the security issues related to managed exception information, see Specifying and Handling Faults in Contracts and Services.

You can also set the values of this attribute by using the <callbackDebug> element in a client application configuration file.

Enables service debugging for a indigo1 callback object.

- Constructor
  4.0.0.0

  The constructor creates a object in which the value of the property is the value of .

  Initializes a new instance of the class.

  Controls whether a indigo2 callback object includes managed exception information in the detail of the SOAP faults sent back to the service.
- Property
  4.0.0.0
  System.Boolean To be added.

  Set the property to true from an application configuration file or programmatically to enable the flow of managed exception information in a client callback object back to the service for debugging purposes.

  Returning managed exception information to services can be a security risk because exception details expose information about the internal client implementation that could be used by unauthorized services. In addition, although the properties can also be set programmatically, it can be easy to forget to disable when deploying.

  Because of the security issues involved, it is strongly recommended that:

  You use an application configuration file to set the value of the property to true.

  You only do so only in controlled debugging scenarios.

  crabout the security issues related to managed exception information, see Specifying and Handling Faults in Contracts and Services.

  ## To enable or disable a feature of CallbackDebugBehavior using a configuration file

  1. Add a behaviorConfiguration attribute to the client <endpoint> element for your indigo2 client application. The behavior is an endpoint behavior. Endpoint behaviors are configured on <endpoint> elements; service behaviors are configured on <service> elements.

  2. Add to or create an <endpointBehaviors> section and add a <behavior> element to that with the name that matches the behaviorConfiguration attribute value from step 1. Endpoint behaviors are added for use in a client <endpoint> element using an <endpointBehaviors> element.

  3. Add a <callbackDebug> element to the <behavior> element from step 2 and enable or disable the various properties appropriate to your scenario.

  For a specific example, see the Example section. You can also set the values of this attribute by using the <callbackDebug> element in a client application configuration file.

  Gets or sets a value that controls whether client callback objects return managed exception information in SOAP faults back to the service.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added.

  Implements the method to support the behavior.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Assigns the value of the property to the property.

  Implements the to support the behavior.

  The client runtime to be customized.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Throws an ; this behavior can only be used in a client application.

  Implements the to support the behavior.

- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Implements to support the behavior.